# $Revision: 1.30 $, $Date: 2011/09/10 05:48:17 $
Summary:	A lightweight, but fully functional curses frontend to gdb
Summary(pl.UTF-8):	Lekki, ale w pełni funkcjonalny frontend do gdb oparty na ncurses
Name:		cgdb
Version:	0.6.6
Release:	1
License:	GPL v2
Group:		Development/Debuggers
Source0:	http://downloads.sourceforge.net/cgdb/%{name}-%{version}.tar.gz
# Source0-md5:	394b542b495755ab8392b7e88dace744
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-missing_includes.patch
Patch2:		%{name}-info.patch
URL:		http://cgdb.sourceforge.net/
BuildRequires:	autoconf >= 2.5
BuildRequires:	automake
BuildRequires:	readline-devel >= 5.1
BuildRequires:	texinfo
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGDB is a curses-based interface to the GNU Debugger (GDB). The goal
of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features. The interface is designed to deliver the
familiar GDB text interface, with a split screen showing the source as
it executes. The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%description -l pl.UTF-8
CGDB to oparty na curses interfejs do GNU Debuggera (GDB). Celem CGDB
jest bycie lekkim i reaktywnym, nie obciążonym niepotrzebnymi
możliwościami. Interfejs został tak zaprojektowany, by dostarczyć
znajomy interfejs tekstowy GDB z podzielonym ekranem pokazującym
źródła wykonywanego kodu. Interfejs użytkownika jest modelowany na
klasyczny uniksowy edytor tekstu - vi. Znający vi używając CGDB
powinni czuć się jak w domu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CPPFLAGS=' -I/usr/include/ncurses '
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# pass noinst_bindir inside buildroot - don't mess in $TMPDIR/../../..
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	noinst_bindir=/progs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/cgdb
%{_mandir}/man1/cgdb.1*
%{_infodir}/cgdb.info*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cgdb.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cgdb.spec,v $
Revision 1.30  2011/09/10 05:48:17  pluto
- updated to 0.6.6.

Revision 1.29  2011/08/31 18:32:35  arekm
- release 2

Revision 1.28  2011/02/20 08:47:14  qboosh
- more verbose files
- removed obsolete sed call

Revision 1.27  2010/01/04 15:07:40  adamg
- updated to 0.6.5

Revision 1.26  2009/02/24 10:28:50  arekm
- release 2

Revision 1.25  2009/02/05 22:16:57  pluto
- release 1.

Revision 1.24  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.23  2007-04-29 10:10:58  twittner
- up to 0.6.4
- rel. 0.1 - not tested, but builds on current Th unlike 0.6.3

Revision 1.22  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.20  2006/06/09 12:52:18  jareq
- updated to 0.6.3
- rel 1

Revision 1.19  2006/04/10 21:19:43  twittner
- up to 0.6.2

Revision 1.18  2006/03/08 00:00:41  twittner
- up to 0.6.1

Revision 1.17  2006/01/31 20:21:38  qboosh
- added info patch, don't package info/dir

Revision 1.16  2006/01/31 18:54:31  twittner
- rm spaces

Revision 1.15  2006/01/31 18:53:05  twittner
- up to 0.6.0 (tab completion works now)
- infopage doesn't work as should be:
  "Unable to find node referenced by `CGDB' in `(dir)Top'."
- replace -cgdb-am_no_debug.patch with sed patching

Revision 1.14  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.13  2005/08/24 22:13:11  twittner
- get rid of debug flag (-g) during normal build (-am_no_debug.patch)
- added missing #include <stdio.h> (build failed after am/ac regeneration,
  -missing_includes.patch
- regenerate am/ac (CPPFLAGS hack is still needed)
- rel. 2

Revision 1.12  2005/08/24 17:37:24  adamg
- updated to 0.5.3

Revision 1.11  2005/07/23 14:52:22  jareq
- updated to 0.5.2
- rel 1
- STBR

Revision 1.10  2005/04/19 17:42:53  darekr
- updated to 0.5.1

Revision 1.9  2004/07/31 22:06:23  qboosh
- updated to 0.5.0

Revision 1.8  2004/05/11 13:27:05  jareq
- updated to 0.4.2

Revision 1.7  2004/05/01 19:32:48  adamg
- updated to 0.4.1

Revision 1.6  2004/01/18 07:54:52  undefine
- BR: automake

Revision 1.5  2004/01/18 07:54:19  undefine
- copy config.sub to allow build on amd64

Revision 1.4  2003/11/19 23:11:55  witekfl
- added home_etc.patch
- rel 2

Revision 1.3  2003/10/29 10:45:22  adamg
- updated to 0.4.0

Revision 1.2  2003/09/02 09:04:32  qboosh
- BR: readline-devel

Revision 1.1  2003/09/02 08:43:15  qboosh
- new
